Skip to main content
MapleID

Changelog

This page lists the changes that agents and their developers must know, the newest first. The Atom feed has the same entries.

When MapleID deprecates a route, each answer of that route has these headers:

  • Deprecation: the date of the deprecation, as @ and the Unix time (RFC 9745).
  • Sunset: the date when the route stops working (RFC 8594), if MapleID knows that date.
  • Link with rel="deprecation": the entry on this page that explains the change.

MapleID deprecates no route now.

2026-10-30: More sign-in forms have stable ids

  • The email input of /register has the autocomplete token username. Before this change, the token was email. The name and the id of the input did not change.
  • The form of /forgot-password has the id forgot-password-form. Its email input has the autocomplete token username.
  • The form of /reset-password has the id reset-password-form.
  • The form of /consent has the id consent-form. Before this change, the form had no id. Its buttons have the ids consent-allow and consent-deny.
  • The deny button of /consent says "Don't allow" for an app that is not a Maple app. For a Maple app, it says "Cancel".
  • The form of /logout has the id logout-form. The form of /invite/<token> has the id invite-accept-form.
  • The form of /reauth has the id reauth-form. The form of /account/close has the id close-account-form.
  • The quick start table shows these forms.

2026-10-28: Agents can use MapleID

  • An owner or admin of an organization can create agent clients on /orgs/<organization id>/developers/apps.
  • The agent API is at /v1/agent/organization. It acts on the organization of the agent client only.
  • The MCP server is at /mcp. Its RFC 9728 document is at /.well-known/oauth-protected-resource/mcp.
  • The docs are at /developers. Each page has a Markdown twin, and /llms.txt and /llms-full.txt list them.
  • Each problem type has a page under /problems/.
  • The discovery documents are /.well-known/api-catalog, /openapi.json, /robots.txt and /sitemap.xml.
  • The agent API, the MCP server and the docs send Link headers to the OpenAPI document, the docs and the API catalog.
  • The agent API and the MCP server send the experimental RateLimit and RateLimit-Policy headers.
  • The MCP servers of MapleAV and MapleScaffold accept the tokens of MapleID agent clients.

This page in Markdown · llms.txt